Reaccionar biblioteca de mapas nativos

Tengo problemas con la instalación de reaccionar la biblioteca nativa de mapas, cuando escribo:

npm install react-native-maps --save 

Muestra el error:

Reaccionar-error de mapas nativos Introduzca aquí la descripción de la imagen

Dependencias:

 "react": "15.3.2", "react-native": "0.36.0" 

    Como dice Rishabh, debe actualizar a las últimas versiones de reaccionar, reaccionar-nativo y reaccionar-nativo-mapas.

    Dependiendo de lo complejo que sea su proyecto, a menudo encuentro que la forma más fácil de actualizar es crear un proyecto nuevo y limpio:

     react-native init MyProjectName 

    Y luego instalar mapas reactivos-nativos (y otras otras dependencias)

     npm install --save react-native-maps react-native link 

    Y luego copiar a través de todo su código fuente Javascript en el nuevo proyecto.

    Parece que tuve algunos problemas con build.gradle y settings.gradle, corrigió esas partes y ahora su funcionamiento

    Puede actualizarlo a la siguiente dependencia

     "react": "15.4.1", "react-native": "^0.39.0" 

    Para actualizar reaccionar nativo a la versión más reciente puede seguir doc oficial. He utilizado la mención de sección "Alternativa" en React blog nativo.

    Después de actualizar su reactivo siga los siguientes pasos:

    1. Instalar reaccionar mapa nativo utilizando el siguiente comando npm instalar reaccionar-native-maps –save ( para referencia )
    2. Usar el comando reaccionar-enlace nativo para vincular el recurso reaccionar-nativo-mapas con el proyecto
    3. Después de vincular al proyecto asegúrese de que está vinculado correctamente mediante la comprobación en los siguientes archivos
    4. Ir a android / app / build.gradle y comprobar la entrada siguiente está allí o no

      Dependencias {
      Compile project (': react-native-maps') compile fileTree (dir: "libs", incluya: ["* .jar"] compile "com.android.support:appcompat-v7:23.0.1" compile "com .facebook.react: react-native: + "// De node_modules}

    5. En el proyecto android / settings.gradle reaccionar-nativo-mapas debe ser incluido

       include ':react-native-maps' project(':react-native-maps').projectDir = new File(rootProject.projectDir, '../node_modules/react-native-maps/android') 
    6. En el paquete android / app / src / main / java / com // MainApplication.java se debe registrar.

       import com.airbnb.android.react.maps.MapsPackage; ... @Override protected List<ReactPackage> getPackages() { return Arrays.<ReactPackage>asList( new MainReactPackage(), new MapsPackage() ); } 
    7. Vaya a android / app / src / main / AndroidManifest.xml agregue el siguiente en la etiqueta de la aplicación.

    Déjeme saber si usted todavía consigue error. Por favor, comparta el código importante también.

    Usted debe primero actualizar reaccionar y reaccionar nativo. Si usted está construyendo la aplicación desde cero y luego ir con

    "Reaccionar": "15.4.2", "reaccionar-nativo": "^ 0.41.0" luego instalar "npm i react-native-maps –save"

    A continuación, utilice los documentos de https://github.com/airbnb/react-native-maps para configurar los módulos de mapa en el componente nativo. Antes de iniciar la aplicación reaccionar-enlace nativo.

    FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.